Subject: How to install and use a custom merge driver

From: Alec Clews <[email-masked]>
Date: Wed, 28 Jan 2009 14:10:18 +1100

Background:

I want to use git to track the delivery of patch files into existing 
file trees. This means that new files will need to be copied over 
existing files (especially in the case of binary files or textual conflicts)

To this end I want to use a custom merge driver (actually the cp command)

Setup:

I have set up my ..git/info/gitattributes as follows

*      merge=overwrite

I have defined in .git/config

[merge "overwrite"]
    name = overwrite using cp
    driver = cp %B %A

Problem:

However when I perform a git merge the default merge is being called. Is 
there something else needed to make git perform the copy operation?

Many thanks

-- 
Alec Clews
Personal <[email-masked]>			Melbourne, Australia.
Jabber:  [email-masked]		PGPKey ID: 0x9BBBFC7C
Blog  http://alecthegeek.wordpress.com/